WebSphereNode (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereNode interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereNode

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereNode

extends LogicalElement

Represents a WebSphere node. A node is a logical grouping of managed servers. A node usually corresponds to a physical computer system with a distinct IP host address. Node names usually are identical to the host name for the computer.

Naming Rules:
  0="primarySAP" 1="cell,name" 2="managedSystemName"
Persistable:
  true
Table Name:
  WASNODE
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ComputerSystem` | `getAdminHost()` Deprecated.
`WebSphereCell` | `getCell()`
`LogicalContent[]` | `getConfigContents()`
`ConfigFile` | `getConfigFile()`
`java.lang.String` | `getConsoleContextPath()`
`java.lang.String` | `getDiscoveryProtocol()`
`ComputerSystem` | `getHost()` Deprecated.
`WebSphereSharedLibrary[]` | `getLibraries()`
`java.lang.String` | `getName()`
`WebSphereNodeAgent` | `getNodeAgent()`
`BindAddress` | `getPrimarySAP()`
`J2EEResource[]` | `getResources()`
`java.lang.String` | `getRootDirectory()`
`WebSphereServer[]` | `getServers()`
`java.lang.String` | `getType()`
`WebSphereVariable[]` | `getVariables()`
`boolean` | `hasAdminHost()`
`boolean` | `hasCell()`
`boolean` | `hasConfigContents()`
`boolean` | `hasConfigFile()`
`boolean` | `hasConsoleContextPath()`
`boolean` | `hasDiscoveryProtocol()`
`boolean` | `hasHost()`
`boolean` | `hasLibraries()`
`boolean` | `hasName()`
`boolean` | `hasNodeAgent()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasResources()`
`boolean` | `hasRootDirectory()`
`boolean` | `hasServers()`
`boolean` | `hasType()`
`boolean` | `hasVariables()`
`void` | `setAdminHost(ComputerSystem host)`
`void` | `setCell(WebSphereCell cell)`
`void` | `setConfigContents(LogicalContent[] contents)`
`void` | `setConfigFile(ConfigFile configFile)`
`void` | `setConsoleContextPath(java.lang.String consoleContextPath)`
`void` | `setDiscoveryProtocol(java.lang.String discProtocol)`
`void` | `setHost(ComputerSystem host)`
`void` | `setLibraries(WebSphereSharedLibrary[] libs)`
`void` | `setName(java.lang.String name)`
`void` | `setNodeAgent(WebSphereNodeAgent na)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setResources(J2EEResource[] res)`
`void` | `setRootDirectory(java.lang.String rootDirectory)`
`void` | `setServers(WebSphereServer[] servers)`
`void` | `setType(java.lang.String type)`
`void` | `setVariables(WebSphereVariable[] vars)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getNodeAgent

    WebSphereNodeAgent getNodeAgent()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setNodeAgent

    void setNodeAgent(WebSphereNodeAgent na)

### hasNodeAgent

    boolean hasNodeAgent()

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getAdminHost

    ComputerSystem getAdminHost()
                                throws AttributeNotSetException

  Deprecated.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setAdminHost

    void setAdminHost(ComputerSystem host)

### hasAdminHost

    boolean hasAdminHost()

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Deprecated.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getServers

    WebSphereServer[] getServers()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setServers

    void setServers(WebSphereServer[] servers)

### hasServers

    boolean hasServers()

### getConfigFile

    ConfigFile getConfigFile()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigFile

    void setConfigFile(ConfigFile configFile)

### hasConfigFile

    boolean hasConfigFile()

### getResources

    J2EEResource[] getResources()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### setResources

    void setResources(J2EEResource[] res)

### hasResources

    boolean hasResources()

### getRootDirectory

    java.lang.String getRootDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootDirectory

    void setRootDirectory(java.lang.String rootDirectory)

### hasRootDirectory

    boolean hasRootDirectory()

### getConsoleContextPath

    java.lang.String getConsoleContextPath()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConsoleContextPath

    void setConsoleContextPath(java.lang.String consoleContextPath)

### hasConsoleContextPath

    boolean hasConsoleContextPath()

### getCell

    WebSphereCell getCell()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setCell

    void setCell(WebSphereCell cell)

### hasCell

    boolean hasCell()

### getVariables

    WebSphereVariable[] getVariables()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setVariables

    void setVariables(WebSphereVariable[] vars)

### hasVariables

    boolean hasVariables()

### getConfigContents

    LogicalContent[] getConfigContents()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setConfigContents

    void setConfigContents(LogicalContent[] contents)

### hasConfigContents

    boolean hasConfigContents()

### getLibraries

    WebSphereSharedLibrary[] getLibraries()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setLibraries

    void setLibraries(WebSphereSharedLibrary[] libs)

### hasLibraries

    boolean hasLibraries()

### getDiscoveryProtocol

    java.lang.String getDiscoveryProtocol()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDiscoveryProtocol

    void setDiscoveryProtocol(java.lang.String discProtocol)

### hasDiscoveryProtocol

    boolean hasDiscoveryProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD